# -*- coding:utf-8 -*-
import flag
import kafka_consume

brokers_flag = flag.string("brokers", "", "REQUIRED: The comma separated list of brokers in the Kafka cluster")
topic_flag = flag.string("topic", "", "REQUIRED: the topic to consume")
group_flag = flag.string("group", "", "REQUIRED: the consumer group")
user_flag = flag.string("user", "", "the user name")
password_flag = flag.string("password", "", "the password")
isPrintCkp_flag = flag.int("isPrintCkp", 0, "print ckp or not")

if __name__ == "__main__":
    flag.parse()

    brokers = brokers_flag.split(",")
    topic = topic_flag.val()
    group = group_flag.val()
    user = user_flag.val()
    password = password_flag.val()
    isPrintCkp = bool(isPrintCkp_flag.val())

    print(
        "start to consume, brokers:{}, topic:{}, group:{}, user:{}, password:***, isPrintCkp:{}".format(
            brokers, topic, group, user, isPrintCkp)
    )

    kafka_consume.block_consume(brokers, topic, group, user, password, isPrintCkp)
